[arch-commits] Commit in giblib/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 5 21:48:52 EDT 2009


    Date: Sunday, April 5, 2009 @ 21:48:52
  Author: eric
Revision: 33921

upgpkg: giblib 1.2.4-4
    Added license, FHS docs

Modified:
  giblib/trunk/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-06 01:46:47 UTC (rev 33920)
+++ PKGBUILD	2009-04-06 01:48:52 UTC (rev 33921)
@@ -4,23 +4,22 @@
 
 pkgname=giblib
 pkgver=1.2.4
-pkgrel=3
+pkgrel=4
 pkgdesc="Giblib is a library that feh uses as a wrapper to imlib2"
 arch=('i686' 'x86_64')
+url="http://linuxbrit.co.uk/giblib/"
+license=('MIT')
 depends=('imlib2' 'libxext' 'freetype2')
+options=('!libtool')
 source=(http://linuxbrit.co.uk/downloads/$pkgname-$pkgver.tar.gz)
-url="http://linuxbrit.co.uk/giblib/"
-options=(!libtool)
-license=('custom')
 md5sums=('c810ef5389baf24882a1caca2954385e')
 
 build() {
-cd $startdir/src/$pkgname-$pkgver
-./configure --prefix=/usr
-make || return 1
-make prefix=$startdir/pkg/usr install
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=$pkgdir docsdir=/usr/share/doc/giblib install || return 1
 
 # install custom license
-install -Dm644 $srcdir/$pkgname-$pkgver/COPYING \
-	$pkgdir/usr/share/licenses/$pkgname/COPYING
+  install -Dm644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
 }



More information about the arch-commits mailing list